gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Surface

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Surface = Surface (ManagedPtr Surface)

# Exported types

newtype Surface Source #

Memory-managed wrapper type.

Constructors

Surface (ManagedPtr Surface) |

#### Instances

Instances details

Eq Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface Methods (==) :: Surface -> Surface -> Bool # (/=) :: Surface -> Surface -> Bool #
IsGValue Surface Source # | Convert `Surface` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Surface Methods toGValue :: Surface -> IO GValue Source # fromGValue :: GValue -> IO Surface Source #
ManagedPtrNewtype Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface Methods toManagedPtr :: Surface -> ManagedPtr Surface Source #
TypedObject Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface Methods glibType :: IO GType Source #
GBoxed Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface
HasParentTypes Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface
type ParentTypes Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface type ParentTypes Surface = '[] :: [Type]

# Methods

## Overloaded methods